<?php
/**
 * 	Helper/Sanitize for sortable multi-check boxes custom control.
 * 	choice items
 */
 

/**
 * Returns front-page sections for the customizer
 */
if ( ! function_exists( 'imagery_front_elements' ) ) {

	function imagery_front_elements() {

		// Default elements
		$elements = apply_filters( 'imagery_front_elements', array(
				'page_content'      => esc_html__( 'Page Content', 'imagery' ),
				'front_blog' 		=> esc_html__( 'Blog Posts', 'imagery' ),
				'front_portfolio' 	=> esc_html__( 'Portfolio Posts', 'imagery' ),
		) );

		// Return elements
		return $elements;

	}

}

/**
 * Returns front-page sections positioning
 */
if ( ! function_exists( 'imagery_front_elements_positioning' ) ) {

	function imagery_front_elements_positioning() {

		// Default sections
		$sections = array( 'page_content', 'front_blog', 'front_portfolio' );

		// Get sections from Customizer
		$sections = get_theme_mod( 'front_sortable', $sections );

		// Turn into array if string
		if ( $sections && ! is_array( $sections ) ) {
			$sections = explode( ',', $sections );
		}

		// Apply filters for easy modification
		$sections = apply_filters( 'front_sortable', $sections );

		// Return sections
		return $sections;

	}

}


/**
 * Returns blog entry elements for the customizer
 */
if ( ! function_exists( 'imagery_entry_elements' ) ) {

	function imagery_entry_elements() {

		// Default elements
		$elements = apply_filters( 'imagery_entry_elements', array(
			'featured_image'    => esc_html__( 'Featured Image', 'imagery' ),
			'title'       		=> esc_html__( 'Title', 'imagery' ),
			'meta' 				=> esc_html__( 'Meta', 'imagery' ),
			'content' 			=> esc_html__( 'Content', 'imagery' ),
			'read_more'   		=> esc_html__( 'Read More', 'imagery' ),
		) );

		// Return elements
		return $elements;

	}

}

/**
 * Returns blog entry elements positioning
 */
if ( ! function_exists( 'imagery_entry_elements_positioning' ) ) {

	function imagery_entry_elements_positioning() {

		// Default sections
		$sections = array( 'featured_image', 'title', 'meta', 'content', 'read_more' );

		// Get sections from Customizer
		$sections = get_theme_mod( 'sample_imagery_sortable', $sections );

		// Turn into array if string
		if ( $sections && ! is_array( $sections ) ) {
			$sections = explode( ',', $sections );
		}

		// Apply filters for easy modification
		$sections = apply_filters( 'sample_imagery_sortable', $sections );

		// Return sections
		return $sections;

	}

}